/**
 * 
 */
package de.gilles.projects.switchyard;

import java.io.StringReader;

import javax.xml.xpath.XPath;
import javax.xml.xpath.XPathExpressionException;
import javax.xml.xpath.XPathFactory;

import org.switchyard.annotations.Transformer;
import org.xml.sax.InputSource;

/**
 * @author gilles
 *
 */
public class SwitchyardTransformer {

	private static final String SAYHELLO_EXPRESSION = "//urn:name";
	
	@Transformer(from = "{urn:gillesswitchyard:services:1.0}sayHello")
	public String transformSayHello(String xmlName) throws XPathExpressionException{
		XPathFactory xPathFactory = XPathFactory.newInstance();
		XPath xPath = xPathFactory.newXPath();
		xPath.setNamespaceContext(new SwitchyardNamespaceContext());
		return xPath.evaluate(SAYHELLO_EXPRESSION, new InputSource(new StringReader(xmlName)));
	}
}
